summaryrefslogtreecommitdiffstats
path: root/audio/amrwb/amrwb.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:44 +0200
commit6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1 (patch)
tree3bd7166206fce1ce892ea22ca0e940887fc4275f /audio/amrwb/amrwb.SlackBuild
parent5fa09a3e7b14dca614040a3ea0da262cb9d3cea9 (diff)
downloadslackbuilds-6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1.tar.gz
slackbuilds-6c1f4e52023b81e6dbdfa0dabc47ddbd04844ba1.tar.xz
audio/amrwb: Moved from multimedia
Diffstat (limited to 'audio/amrwb/amrwb.SlackBuild')
-rw-r--r--audio/amrwb/amrwb.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/audio/amrwb/amrwb.SlackBuild b/audio/amrwb/amrwb.SlackBuild
new file mode 100644
index 0000000000..88ad6425b9
--- /dev/null
+++ b/audio/amrwb/amrwb.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for amrwb
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=amrwb
+VERSION=7.0.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-shared \
+ --disable-static \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+if [ -e $CWD/26204-700.zip ]; then
+ cp $CWD/26204-700.zip .
+else
+ echo
+ echo "$CWD/26204-700.zip was not found."
+ echo "Go back and read $CWD/README again."
+ echo
+ exit 1
+fi
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz